Web Hosting Forum | Lunarpages

Specialized Hosting Needs and Services => cPanel and WHM Dedicated Support => Topic started by: Danielle on March 07, 2008, 08:48:32 AM



Title: Important cPanel Upgrade to 11.18.2 due to Horde Security Risk
Post by: Danielle on March 07, 2008, 08:48:32 AM
Hello,

There is a security risk in Horde on cPanel versions prior to 11.18.2. Please update your cPanel server for the Horde security patch if you do not already have it set to auto update daily.

For more information please see:
http://forums.cpanel.net/showthread.php?t=76709&highlight=horde+security

Thank you
Lunarpages System Administrator Team


Title: Re: Important cPanel Upgrade to 11.18.2 due to Horde Security Risk
Post by: Jason2 on March 07, 2008, 08:56:55 AM
Thanks for letting us know Danielle.

How do we manually update cPanel...I'm not too sure as I'm new to cPanel LOL.

Regards Jason :)


Title: Re: Important cPanel Upgrade to 11.18.2 due to Horde Security Risk
Post by: Danielle on March 07, 2008, 09:49:13 AM
Hi Jason,

You're very welcome :)

To upgrade cPanel in ssh shell, you'd run:

/scripts/upcp --force

To upgrade cPanel in WHM, you'd log into WHM as the root user, then you'd go to Upgrade to Latest Version under the "cPanel" area. Upon clicking it, you'd then select the "Click to Upgrade" button and let it run.

If you do use SSH/shell, I'd recommend using that method over the WHM one if possible.

To see if you have cPanel set to auto upgrade daily, you can check this in WHM. Click on Update Config under "Server Configuration", then check that "Automatic (RELEASE tree)" is clicked under cPanel/WHM Updates toward the top. If it is not, change to this setting, then click the "Save" button.


Title: Re: Important cPanel Upgrade to 11.18.2 due to Horde Security Risk
Post by: Jason2 on March 07, 2008, 09:55:49 AM
Hello Danielle,

Thanks for replying. I can't seem to find it. I am at the page where you have "Pay Bills", "Manage Domain" ect. tabs. Can you direct me from there. If I click the cPanel tab, it doesn't say "Upgrade to latest Version".

Regards Jason :)


Title: Re: Important cPanel Upgrade to 11.18.2 due to Horde Security Risk
Post by: Danielle on March 07, 2008, 10:04:16 AM
Hi Jason,

You don't appear to be in WHM or webhosting manager? You cannot do it from cPanel itself, but must be at https://yourdomain.com:2087/ where yourdomain is your domain name and logged in with the root user and root password.

If you are in CAP (https://account.lunarpages.com), this isn't where you'd do this task. That's the Lunarpages area not the WHM administrative one for cPanel. Your server is dedicated correct?

Thanks.


Title: Re: Important cPanel Upgrade to 11.18.2 due to Horde Security Risk
Post by: Jason2 on March 07, 2008, 10:06:36 AM
Ooops, my bad -- I've just clicked in LOL. This isn't necessary on a shared server LOL.

Regards Jason :)


Title: Re: Important cPanel Upgrade to 11.18.2 due to Horde Security Risk
Post by: Danielle on March 07, 2008, 10:07:58 AM
No worries :)